ShardResultTransformer (Solr 3.6.2 API)
Keywords: org.apache.solr.search.grouping.distributed.shardresultserializer.ShardResultTransformer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.grouping.distributed.shardresultserializer
Interface ShardResultTransformer<T,R>

All Known Implementing Classes:
  SearchGroupsResultTransformer, TopGroupsResultTransformer

    public interface ShardResultTransformer<T,R>

A `ShardResultTransformer` is responsible for transforming a grouped shard result into group related structures (such as `TopGroups` and `SearchGroup`) and visa versa.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`NamedList` | `transform(T data)` Transforms data to a `NamedList` structure for serialization purposes.
`R` | `transformToNative(NamedList<NamedList> shardResponse, Sort groupSort, Sort sortWithinGroup, String shard)` Transforms the specified shard response into native structures.

Method Detail

### transform

    NamedList transform(T data)
                        throws IOException

  Transforms data to a `NamedList` structure for serialization purposes.

  Parameters:
    `data` - The data to be transformed
  Returns:
    `NamedList` structure
  Throws:
    `IOException` - If I/O related errors occur during transforming

### transformToNative

    R transformToNative(NamedList<NamedList> shardResponse,
                        Sort groupSort,
                        Sort sortWithinGroup,
                        String shard)
                        throws IOException

  Transforms the specified shard response into native structures.

  Parameters:
    `shardResponse` - The shard response containing data in a `NamedList` structure
    `groupSort` - The group sort
    `sortWithinGroup` - The sort inside a group
    `shard` - The shard address where the response originated from
  Returns:
    native structure of the data
  Throws:
    `IOException` - If I/O related errors occur during transforming

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD